Subject: Re: [PATCH 2/6] unit-tests: add TEST_RUN

From: Junio C Hamano <[email-masked]>
Date: Sat, 13 Jul 2024 08:48:58 -0700

Phillip Wood <[email-masked]> writes:

> On 11/07/2024 16:34, Junio C Hamano wrote:
>> Junio C Hamano <[email-masked]> writes:
>> So, perhaps test_if_XXXXXX() but it is not quite clear to me when
>> TEST_RUN() wants to return true, so I cannot come up with an
>> appropriate value to fill the XXXXXX part.  If this is about
>> honoring GIT_SKIP_TESTS or something similar, then I may suggest
>> test_if_enabled(), but that does not seem like it.  So...
>
> TEST_RUN() returns true if the test has not been skipped i.e. the test
> should be run. At the moment the only way to skip a test is to call
> test_skip_all() in a previous test. In the future I expect we'll add
> something like the "--run" option we have for the integration tests.

Thanks, so test_if_enabled() is not all that off the mark after all.